package be.iminds.ilabt.jfed.experimenter_gui.canvas.rspec;

import be.iminds.ilabt.jfed.experimenter_gui.canvas.CanvasLink;
import be.iminds.ilabt.jfed.rspec.model.javafx_impl.FXGeantTestbedType;

/**
 * User: twalcari
 * Date: 2/11/2016
 * Time: 18:15
 */
public class GtsVlanLink extends CanvasLink {
    private final FXGeantTestbedType.ActiveExternalDomain activeExternalDomain;

    public GtsVlanLink(RspecGTSNode nodeA, RspecCanvasNode nodeB, FXGeantTestbedType.ActiveExternalDomain activeExternalDomain) {
        super(nodeA, nodeB);
        this.activeExternalDomain = activeExternalDomain;

        setStyle("-fx-stroke: green;");
        getStrokeDashArray().addAll(10d,5d);
    }

    @Override
    public RspecGTSNode getNodeA() {
        return (RspecGTSNode) super.getNodeA();
    }

    @Override
    public RspecCanvasNode getNodeB() {
        return (RspecCanvasNode) super.getNodeB();
    }

    public FXGeantTestbedType.ActiveExternalDomain getActiveExternalDomain() {
        return activeExternalDomain;
    }
}
